Page MenuHomePhabricator

Archive extension/SwiftCloudFiles
Closed, ResolvedPublicRequest

Description

Reason: Orphaned by WMF. Mostly a fork of https://github.com/omissis/php-cloudfiles

Event Timeline

Reedy created this task.Dec 8 2017, 4:03 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptDec 8 2017, 4:03 AM
Reception123 updated the task description. (Show Details)Dec 8 2017, 5:21 AM
Reception123 added a subscriber: Reception123.

Not sure why, but gerritbot didn't post the change: https://gerrit.wikimedia.org/r/#/c/396302/

The reason sounds not correct, because the linked page says it is a mirror of gerrit. It is bad to say you have to archive the gerrit repo when the replacement is a mirror of it.

I would say the reason is the replacment of php-cloudfiles by php-opencloud mention on mediawiki.org page.

It seems okay to archive from my point of view.

Reedy updated the task description. (Show Details)Dec 8 2017, 2:37 PM

Late night copy paste fail. It's essentially a fork of https://github.com/omissis/php-cloudfiles that WMF doesn't use anymore

Change 396302 merged by Umherirrender:
[mediawiki/extensions/SwiftCloudFiles@master] Archive SwiftCloudFiles extension

https://gerrit.wikimedia.org/r/396302

Reception123 updated the task description. (Show Details)Dec 8 2017, 7:39 PM

Change 396452 merged by Umherirrender:
[mediawiki/extensions@master] Remove SwiftCloudFiles

https://gerrit.wikimedia.org/r/396452

Reception123 updated the task description. (Show Details)Dec 8 2017, 7:40 PM
Reception123 moved this task from Untriaged to Archive extensions on the Cleanup board.
Umherirrender updated the task description. (Show Details)Dec 8 2017, 7:41 PM

Change 396467 had a related patch set uploaded (by Umherirrender; owner: Umherirrender):
[integration/config@master] [SwiftCloudFiles] Archived extension

https://gerrit.wikimedia.org/r/396467

Umherirrender updated the task description. (Show Details)Dec 8 2017, 8:22 PM

Change 396467 merged by jenkins-bot:
[integration/config@master] [SwiftCloudFiles] Archived extension

https://gerrit.wikimedia.org/r/396467

hashar updated the task description. (Show Details)Dec 11 2017, 10:01 AM
hashar added a subscriber: hashar.

Archived in CI and on GitHub.

MarcoAurelio closed this task as Resolved.May 6 2018, 8:58 PM
MarcoAurelio triaged this task as Normal priority.
MarcoAurelio updated the task description. (Show Details)